Get details of a volume (AWS IAM role)
Navigation
- Amazon Web Services Simple Storage Service (AWS S3) Volumes
- Attach an Amazon Web Services (AWS) volume volume using an IAM user
- Attach an Amazon Web Services (AWS) volume using an IAM role:
- Via the visual interface
- Via the API:
- Create a volume (AWS IAM role)
- Get details of a volume (AWS IAM role)
- Update a volume (AWS IAM role)
This call returns details of the specified volume. The volume is referred to by its ID, which you can obtain by making the call to list all the volumes you've registered.
Request
https://api.sbgenomics.com/v2/storage/volumes/{volume_id}https://eu-api.sbgenomics.com/v2/storage/volumes/{volume_id}Example request
GET /v2/storage/volumes/rfranklin/output HTTP/1.1
Host: api.sbgenomics.com
X-SBG-Auth-Token: 3210a98c1db9318fa9d9273156740f74curl -s -H "X-SBG-Auth-Token: 3210a98c1db9318fa9d9273156740f74" -H "Content-type: application/json" -X GET "https://api.sbgenomics.com/v2/storage/volumes/rfranklin/output"Header Fields
| Key | Description of value |
|---|---|
X-SBG-Auth-Tokenrequired | Your Seven Bridges Platform authentication token. |
Content-typerequired | application/json |
Path parameters
| Key | Data type of value | Description of value |
|---|---|---|
volume_idrequired | String | The volume that you want to query, which consists of username of the volume owner and volume name, for example rfranklin/output. |
Response
| Key | Data type of value | Description of value |
|---|---|---|
active | Boolean | If a volume is deactivated, this field will be set to false |
id | String | ID of this volume, containing owner/name |
name | String | Name of the volume. |
description | String | The description of this volume. |
service | Object | This object more closely describes the mapping of the volume to the cloud service where the data is stored. See the |
created_on | String | The date and time this volume was created. |
modified_on | String | The date and time this volume was last modified. |
| Key | Data type of value | Description of value |
|---|---|---|
type | string | The type of cloud service supported. Use "s3" for Amazon Web Services. |
access_mode | string | Signifies whether this volume should be used for read-write (
|
prefix | String | A service-specific prefix to prepend to all objects created in this volume. If the service supports folders, and this prefix includes them, the API will attempt to create any missing folders when it outputs a file.
|
bucket | String | The name of the AWS S3 bucket you want to retrieve details of. |
root_url
| String | Cloud provider API endpoint to use when accessing this bucket. For a list of AWS-supported endpoints, see AWS Regions and Endpoints. |
credentials | Object | This object contains authentication parameters of your AWS IAM Role:
|
external_id | String | Optional information that you can use in an IAM role trust policy to designate who can assume the role. Must be provided if it is configured in your role trust policy on AWS. More info. |
role_arn | String | The ARN (Amazon Resource Name) of your role that is used to connect your S3 bucket. |
properties | Object | Contains properties of specific service. |
sse_algorithm | String | Use default AES256 server-side encryption when writing to this bucket. Can be:
|
Example response body
{
"href": "https://api.sbgenomics.com/v2/storage/volumes/rfranklin/output",
"active": True,
"description": "task outputs bucket",
"id": "rfranklin/output",
"name": "output",
"access_mode": "RW",
"service": {
"type": "s3",
"bucket": "sbg-test-output",
"hostname": "s3.amazonaws.com",
"credentials": {
"external_id": "external-volume-id-1234",
"role_arn": "arn:aws:iam::123456789012:role/test-volume-00"
},
"prefix": "",
"sse_enabled": True
},
"created_on": "2020-06-29T11:13:10+02:00",
"updated_on": "2020-06-29T12:15:10+02:00"
}